location ~ ^/foundry/$ {
		return 301 /foundry/game/;
	}


location /foundry/ {
		auth_request /vouch/validate;
		auth_request_set $auth_resp_x_vouch_user $upstream_http_x_vouch_user;
		proxy_set_header X-Vouch-User $auth_resp_x_vouch_user;
		# Set proxy headers
		proxy_set_header Host $host;
		proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
		proxy_set_header X-Forwarded-Proto $scheme;

		# These are important to support WebSockets
		proxy_set_header Upgrade $http_upgrade;
		proxy_set_header Connection "Upgrade";
		#  may need to set
		#    auth_request_set $auth_resp_x_vouch_user $upstream_http_x_vouch_user;
		#  in this bock as per https://github.com/vouch/vouch-proxy/issues/26#issuecomment-425215810
		# set user header (usually an email)
		proxy_pass http://foundry:30000/foundry/; 
}

